# AnySeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/TypeCode.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for AnySeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::AnySeq

## Defines

#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export
#define | _CORBA_ANYSEQ_CH_

## Typedefs

typedef TAO_VarSeq_Var_T< AnySeq, CORBA::Any > | AnySeq_var
typedef TAO_Seq_Out_T< AnySeq, AnySeq_var, CORBA::Any > | AnySeq_out

## Functions

TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, const CORBA::AnySeq &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::AnySeq *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::AnySeq *&)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::AnySeq *&)
TAO_AnyTypeCode_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::AnySeq &)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::AnySeq &)

## Define Documentation

#define _CORBA_ANYSEQ_CH_

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< AnySeq, AnySeq_var, CORBA::Any > CORBA::AnySeq_out

typedef TAO_VarSeq_Var_T< AnySeq, CORBA::Any > CORBA::AnySeq_var

## Function Documentation

TAO_AnyTypeCode_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::AnySeq & |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::AnySeq * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::AnySeq & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::AnySeq & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::AnySeq *& |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::AnySeq *& |
| ) |